Package org.jfree.layouting.input.style.parser.stylehandler

## Class OneOfConstantsReadHandler

- java.lang.Object
- - org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

- All Implemented Interfaces:
    `CSSValueReadHandler`
  Direct Known Subclasses:
    `AlignmentAdjustReadHandler`, `AlignmentBaselineReadHandler`, `BackgroundBreakReadHandler`, `BaselineShiftReadHandler`, `BlockProgressionReadHandler`, `BorderCollapseReadHandler`, `BorderStyleReadHandler`, `BoxSizingReadHandler`, `CaptionSideReadHandler`, `ClearAfterReadHandler`, `ClearReadHandler`, `ColumnSpaceDistributionReadHandler`, `ColumnWidthPolicyReadHandler`, `ContentReadHandler`, `DirectionReadHandler`, `DisplayModelReadHandler`, `DisplayRoleReadHandler`, `DominantBaselineReadHandler`, `DropInitialAfterAdjustReadHandler`, `DropInitialBeforeAdjustReadHandler`, `DropInitialValueReadHandler`, `EmptyCellsReadHandler`, `FitPositionReadHandler`, `FitReadHandler`, `FloatDisplaceReadHandler`, `FloatReadHandler`, `FloatTypeReadHandler`, `FontEffectReadHandler`, `FontEmphasizePositionReadHandler`, `FontEmphasizeStyleReadHandler`, `FontSizeReadHandler`, `FontSmoothReadHandler`, `FontStretchReadHandler`, `FontStyleReadHandler`, `FontVariantReadHandler`, `GlyphOrientationHorizontalReadHandler`, `GlyphOrientationVerticalReadHandler`, `HangingPunctuationReadHandler`, `HyphenateReadHandler`, `IndentEdgeResetReadHandler`, `InlineBoxAlignReadHandler`, `LineGridModeReadHandler`, `LineGridProgressionReadHandler`, `LineStackingRubyReadHandler`, `LineStackingShiftReadHandler`, `LineStackingStrategyReadHandler`, `ListStylePositionReadHandler`, `ListStyleTypeReadHandler`, `MoveToReadHandler`, `OverflowReadHandler`, `PageBreakInsideReadHandler`, `PageBreakReadHandler`, `PagePolicyReadHandler`, `PositionReadHandler`, `PunctuationTrimReadHandler`, `RenderingIntentReadHandler`, `StringSetReadHandler`, `TableLayoutReadHandler`, `TargetNameReadHandler`, `TargetNewReadHandler`, `TargetPositionReadHandler`, `TextAlignLastReadHandler`, `TextAlignReadHandler`, `TextBlinkReadHandler`, `TextCombineReadHandler`, `TextDecorationModeReadHandler`, `TextDecorationReadHandler`, `TextDecorationStyleReadHandler`, `TextHeightReadHandler`, `TextJustifyReadHandler`, `TextJustifyTrimReadHandler`, `TextOverflowModeReadHandler`, `TextTransformReadHandler`, `TextUnderlinePositionReadHandler`, `TextWrapReadHandler`, `UnicodeBidiReadHandler`, `VerticalAlignReadHandler`, `VisibilityReadHandler`, `WhitespaceCollapseReadHandler`, `WordBreakReadHandler`, `WordWrapReadHandler`

      public abstract class OneOfConstantsReadHandler
      extends java.lang.Object
      implements CSSValueReadHandler

  Creation-Date: 26.11.2005, 19:16:43
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `OneOfConstantsReadHandler​(boolean auto)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `addValue​(CSSConstant constant)` |
    `CSSValue` | `createValue​(StyleKey name, org.w3c.css.sac.LexicalUnit value)` |
    `boolean` | `isAutoAllowed​()` |
    `protected CSSValue` | `lookupValue​(org.w3c.css.sac.LexicalUnit value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OneOfConstantsReadHandler

          protected OneOfConstantsReadHandler​(boolean auto)

  - ### Method Detail

    - #### createValue

          public CSSValue createValue​(StyleKey name,
                                      org.w3c.css.sac.LexicalUnit value)

      Specified by:
        `createValue` in interface `CSSValueReadHandler`

    - #### lookupValue

          protected CSSValue lookupValue​(org.w3c.css.sac.LexicalUnit value)

    - #### addValue

          protected void addValue​(CSSConstant constant)

    - #### isAutoAllowed

          public boolean isAutoAllowed​()